#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2016TweetObj.py
#   DATE: January, 2016
#   Author: David W. McDonald
#
#   An object that mirrors the tweets table in the database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.tweetObj import tweetObj

class Elect2016TweetObj(tweetObj):
    def __init__(self):
        tweetObj.__init__(self)
        self.has_nonlatin = False
        self.nonlatin_ratio = 0.0
        self.query_source = ""
        self.is_rt = False
        self.origin_tweet_id = long(0)
        self.origin_tweet_id_str = ""

    def to_dict(self):
        rec = {}
        if( self.rid > 0 ):
            rec['rid'] = self.rid
        rec['tweet_id'] = self.tweet_id
        rec['tweet_id_str'] = self.tweet_id_str
        rec['created_at'] = self.created_at
        rec['lat'] = self.lat
        rec['lon'] = self.lon
        rec['has_nonlatin'] = self.has_nonlatin
        rec['nonlatin_ratio'] = self.nonlatin_ratio
        rec['from_user'] = self.from_user
        rec['from_user_name'] = self.from_user_name        
        rec['from_user_id'] = self.from_user_id        
        rec['tweet_text'] = self.tweet_text

        rec['query_source'] = self.query_source
        rec['is_rt'] = self.is_rt
        rec['origin_tweet_id'] = self.origin_tweet_id
        rec['origin_tweet_id_str'] = self.origin_tweet_id_str
        return rec


    def __repr__(self):
        result = "Elect2016TweetObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"tweet_id: %s\n\t"%(str(self.tweet_id))
        result = result+"created_at: %s\n\t"%(str(self.created_at))
        result = result+"from_user: "+self.from_user.encode('utf-8')+"\n\t"
        result = result+"from_user_name: "+self.from_user_name.encode('utf-8')+"\n\t"
        result = result+"from_user_id: %d\n\t"%(self.from_user_id)
        result = result+"tweet: "+self.tweet_text.encode('utf-8')
        return result
